Share via


Web Apps - Get Workflow

Get workflow information by its ID for web site, or a deployment slot.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/workflows/{workflowName}?api-version=2025-05-01

URI Parameters

Name In Required Type Description
name
path True

string

Site name.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

workflowName
path True

string

minLength: 3
maxLength: 63
pattern: ^[a-z][a-z0-9]*$

Workflow name.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

WorkflowEnvelope

Azure operation completed successfully.

404 Not Found

The server cannot find the requested resource.

Other Status Codes

DefaultErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

GET a workflow

Sample request

GET https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testrg123/providers/Microsoft.Web/sites/testsite2/workflows/stateful1?api-version=2025-05-01

Sample response

{
  "name": "testsite2/stateful1",
  "type": "Microsoft.Web/sites/workflows",
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testrg123/providers/Microsoft.Web/sites/testsite2/workflows/stateful1",
  "kind": "Stateful",
  "location": "USAAnywhere",
  "properties": {
    "files": {
      "connections.json": {
        "managedApiConnections": {
          "office365": {
            "api": {
              "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/providers/Microsoft.Web/locations/brazilsouth/managedApis/office365"
            },
            "authentication": {
              "type": "Raw",
              "parameter": "@appsetting('office365-connectionKey')",
              "scheme": "Key"
            },
            "connection": {
              "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testrg123/providers/Microsoft.Web/connections/office365-1"
            },
            "connectionRuntimeUrl": "string"
          }
        }
      },
      "workflow.json": {
        "definition": {
          "$schema": "https://schema.management.azure.com/providers/Microsoft.Logic/schemas/2016-06-01/workflowdefinition.json#",
          "actions": {},
          "contentVersion": "1.0.0.0",
          "outputs": {},
          "parameters": {},
          "triggers": {}
        }
      }
    },
    "flowState": "Enabled",
    "health": {
      "state": "Healthy"
    }
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

DefaultErrorResponse

App Service error response.

DefaultErrorResponseError

Error model.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

ErrorEntity

Body of the error response returned from the API.

systemData

Metadata pertaining to creation and last modification of the resource.

WorkflowEnvelope

Workflow properties definition.

WorkflowEnvelopeProperties

Additional workflow properties.

WorkflowHealth

Represents the workflow health.

WorkflowHealthState

Gets or sets the workflow health state.

WorkflowState

The workflow state.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DefaultErrorResponse

App Service error response.

Name Type Description
error

DefaultErrorResponseError

Error model.

DefaultErrorResponseError

Error model.

Name Type Description
code

string

Standardized string to programmatically identify the error.

details

DefaultErrorResponseErrorDetailsItem[]

Detailed errors.

innererror

string

More information to debug error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

Name Type Description
code

string

Standardized string to programmatically identify the error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

ErrorEntity

Body of the error response returned from the API.

Name Type Description
code

string

Basic error code.

details

ErrorEntity[]

Error Details.

extendedCode

string

Type of error.

innerErrors

ErrorEntity[]

Inner errors.

message

string

Any details of the error.

messageTemplate

string

Message template.

parameters

string[]

Parameters for the template.

target

string

The error target.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

WorkflowEnvelope

Workflow properties definition.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

string

The resource kind.

location

string

The resource location.

name

string

The name of the resource

properties

WorkflowEnvelopeProperties

Additional workflow properties.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

WorkflowEnvelopeProperties

Additional workflow properties.

Name Type Description
files

Gets or sets the files.

flowState

WorkflowState

Gets or sets the state of the workflow.

health

WorkflowHealth

Gets or sets workflow health.

WorkflowHealth

Represents the workflow health.

Name Type Description
error

ErrorEntity

Gets or sets the workflow error.

state

WorkflowHealthState

Gets or sets the workflow health state.

WorkflowHealthState

Gets or sets the workflow health state.

Value Description
NotSpecified
Healthy
Unhealthy
Unknown

WorkflowState

The workflow state.

Value Description
NotSpecified
Completed
Enabled
Disabled
Deleted
Suspended